import { ContentLines } from "@/components/shared/content-lines";
import BlurFade from "@/components/ui/blur-fade";
import { Locale } from "@/i18n/routing";



function ServiceDetails({ locale, service }: { locale: Locale; service: any }) {
	return (
		<BlurFade
			direction="left"
			delay={0.25}
			inView
			className="rounded-lg h-[25rem] bg-custom-background-light p-4 shadow-[0px_72px_24px_-55px_#00000026] md:p-8"
		>
			<ContentLines
				title={locale === "ar" ? service.name_ar : service.name_en}
				underlineColor="custom-primary-accent"
				textColor="text-custom-primary-accent"
				padding="none"
			/>
			<p className="mt-5 whitespace-pre-wrap text-justify text-base text-[#646464]">
				{locale === "ar" ? service.description_ar : service.description_en}
			</p>
		</BlurFade>
	);
}

export default ServiceDetails;
